org.apache.poi.hemf.record.emf

## Class HemfDraw.EmfPolyPolygon16

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfDraw.WmfPolyPolygon
  - - org.apache.poi.hemf.record.emf.HemfDraw.EmfPolyPolygon
    - - org.apache.poi.hemf.record.emf.HemfDraw.EmfPolyPolygon16

- All Implemented Interfaces:
    GenericRecord, HemfRecord, HwmfRecord
  Enclosing class:
    HemfDraw

      public static class HemfDraw.EmfPolyPolygon16
      extends HemfDraw.EmfPolyPolygon

  The EMR_POLYPOLYGON16 record specifies a series of closed polygons. Each polygon is outlined using the current pen, and filled using the current brush and polygon fill mode. The polygons drawn by this record can overlap.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfDraw.WmfPolyPolygon

      `polyList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfPolyPolygon16()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HemfRecordType` | `getEmfRecordType()`
    `protected long` | `readPoint(LittleEndianInputStream leis, java.awt.geom.Point2D point)`

    - ### Methods inherited from class org.apache.poi.hemf.record.emf.HemfDraw.EmfPolyPolygon

      `draw, getBounds, getGenericProperties, getGenericRecordType, init`

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfDraw.WmfPolyPolygon

      `draw, getFillDrawStyle, getPolyList, getShape, getWmfRecordType, init, isClosed, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emf.HemfRecord

      `setHeader`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### EmfPolyPolygon16

          public EmfPolyPolygon16()

  - ### Method Detail

    - #### getEmfRecordType

          public HemfRecordType getEmfRecordType()

      Specified by:
        `getEmfRecordType` in interface `HemfRecord`
      Overrides:
        `getEmfRecordType` in class `HemfDraw.EmfPolyPolygon`

    - #### readPoint

          protected long readPoint(LittleEndianInputStream leis,
                                   java.awt.geom.Point2D point)

      Overrides:
        `readPoint` in class `HemfDraw.EmfPolyPolygon`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.